Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmMailDefaultContainer

All Superinterfaces
  ICmMailContainer, IContainer, IGroupwareContainer, IItem, IMailContainer, Serializable

    public interface ICmMailDefaultContainer

extends ICmMailContainer

Class description.

Field Summary
`static ContainerClass` | `CLASS` The `ContainerClass` that represents an `ICmMailDefaultContainer`.

Fields inherited from interface com.compoze.collab.beacm.ICmMailContainer
`DATE_LAST_MODIFIED, IMAP_UID_VALIDITY, KEYID_DATE_LAST_MODIFIED, KEYID_IMAP_UID_VALIDITY, KEYID_POP3_UIDS, POP3_UIDS`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`KEYID_TOTAL_ITEM_COUNT, KEYID_UNREAD_ITEM_COUNT, TOTAL_ITEM_COUNT, UNREAD_ITEM_COUNT`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary

Methods inherited from interface com.compoze.collab.groupware.IMailContainer
`getMailMessages, getMailMessages, getMailMessages`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`getTotalItemCount, getUnreadItemCount`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    static final ContainerClass CLASS

  The `ContainerClass` that represents an `ICmMailDefaultContainer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved